PulldownKindType (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.enumeration

## Enum PulldownKindType

- java.lang.Object
- - java.lang.Enum<PulldownKindType>
  - - tv.amwa.maj.enumeration.PulldownKindType

- All Implemented Interfaces:
    Serializable, Comparable<PulldownKindType>, MediaEnumerationValue

      public enum PulldownKindType
      extends Enum<PulldownKindType>
      implements MediaEnumerationValue

  Specifies whether a pulldown operation is converting from nominally 30 Hz or 25 Hz video frame rate and whether frames are dropped or the video is played at another speed.

  Original C name: `aafPulldownKind_e`

  See Also:
    `Pulldown.getPulldownKind()`, `TypeDefinitions.PulldownKindType`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `OneToOneHDSixty` Converting between 60 Hz video frame rate and film frame rate by speeding up or slowing down the frame rate.
    `OneToOneNTSC` Converting between nominally 30 Hz video frame rate and film frame rate by speeding up or slowing down the frame rate.
    `OneToOnePAL` Converting between 25 Hz video frame rate and film frame rate by speeding up or slowing down the frame rate.
    `PALPD` Converting between 25 Hz video frame rate and film frame rate by dropping or adding frames.
    `TwentyFourToSixtyPD` Converting between 60 Hz video frame rate and film frame rate by dropping or adding frames.
    `TwoThreePD` Converting between nominally 30 Hz video frame rate and film frame rate by dropping or adding frames.
    `TwoToOnePD` Converting between video frame rate and film frame rate by dropping or adding frames in the ratio 2:1.
    `VideoTapNTSC` Converting between video frame rate and film frame rate by recording original film and video sources simultaneously.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `symbol()` Provides a name for the enumeration value that can be used in XML serialisation.
    `long` | `value()` Returns the unique integer value associated with an enumeration value, either according to the AAF specification and/or the current AAF meta dictionary.
    `static PulldownKindType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PulldownKindType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEnumerationValue

      `name`

- - ### Enum Constant Detail

    - #### TwoThreePD

          public static final PulldownKindType TwoThreePD

      Converting between nominally 30 Hz video frame rate and film frame rate by dropping or adding frames.

    - #### PALPD

          public static final PulldownKindType PALPD

      Converting between 25 Hz video frame rate and film frame rate by dropping or adding frames.

    - #### OneToOneNTSC

          public static final PulldownKindType OneToOneNTSC

      Converting between nominally 30 Hz video frame rate and film frame rate by speeding up or slowing down the frame rate.

    - #### OneToOnePAL

          public static final PulldownKindType OneToOnePAL

      Converting between 25 Hz video frame rate and film frame rate by speeding up or slowing down the frame rate.

    - #### VideoTapNTSC

          public static final PulldownKindType VideoTapNTSC

      Converting between video frame rate and film frame rate by recording original film and video sources simultaneously.

    - #### OneToOneHDSixty

          public static final PulldownKindType OneToOneHDSixty

      Converting between 60 Hz video frame rate and film frame rate by speeding up or slowing down the frame rate.

    - #### TwentyFourToSixtyPD

          public static final PulldownKindType TwentyFourToSixtyPD

      Converting between 60 Hz video frame rate and film frame rate by dropping or adding frames.

    - #### TwoToOnePD

          public static final PulldownKindType TwoToOnePD

      Converting between video frame rate and film frame rate by dropping or adding frames in the ratio 2:1.

  - ### Method Detail

    - #### values

          public static PulldownKindType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PulldownKindType c : PulldownKindType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PulldownKindType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          @Int64
          public long value()

      Description copied from interface: `MediaEnumerationValue`

      Returns the unique integer value associated with an enumeration value, either according to the AAF specification and/or the current AAF meta dictionary.

      Specified by:
        `value` in interface `MediaEnumerationValue`
      Returns:
        Unique integer value associated with an enumeration constant.

    - #### symbol

          public String symbol()

      Description copied from interface: `MediaEnumerationValue`

      Provides a name for the enumeration value that can be used in XML serialisation. The name is unique within the namespace of the owning type.

      As an example, the `ChannelStatusModeType` value `ChannelStatusModeType.Fixed` value has the name "`Fixed`" and symbol "`ChannelStatusMode_Fixed`".

      Specified by:
        `symbol` in interface `MediaEnumerationValue`
      Returns:
        Symbol name for this enumeration value.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.